Bug 106849 - perl-DBD-MySQL broken by MySQL or OpenSSL upgrade
Summary: perl-DBD-MySQL broken by MySQL or OpenSSL upgrade
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-DBD-MySQL   
(Show other bugs)
Version: 9
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-11 22:45 UTC by Ville Skyttä
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 23:58:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2003-10-11 22:45:47 UTC
After upgrading to the recent OpenSSL and MySQL erratas on RHL9, perl-DBD-MySQL
doesn't work any more.

Error message when connecting:
install_driver(mysql) failed: Can't load
'/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/DBD/mysql/mysql.so'
for module DBD::mysql:
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/DBD/mysql/mysql.so:
undefined symbol: mysql_ssl_set at
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/DynaLoader.pm line 229.

A simple rebuild of perl-DBD-MySQL didn't help.

Comment 1 Jason Heiss 2003-12-10 03:21:17 UTC
I have the same problem on RHEL WS 3.  It seems that perl-DBD-MySQL is
built with SSL support, but the MySQL libraries are not.  I.e.
grepping for this symbol in Red Hat's MySQL library shows that it
isn't there:

jheiss@solenoid:~> strings /usr/lib/mysql/libmysqlclient.so.10 | grep
mysql_ssl_set
jheiss@solenoid:~> rpm -qf /usr/lib/mysql/libmysqlclient.so.10
mysql-3.23.58-1

But grepping for it in the RPM from mysql.com finds it:

jheiss@braun:~> strings /usr/lib/libmysqlclient.so.12 | grep mysql_ssl_set
mysql_ssl_set
jheiss@braun:~> rpm -qf /usr/lib/libmysqlclient.so.12
MySQL-shared-4.0.16-0


Comment 2 Warren Togami 2005-05-17 23:58:24 UTC
You are using unsuported 3rd party mysql binaries and this bug is extremely old.



Note You need to log in before you can comment on or make changes to this bug.